package mb;
public class Example {
	
	double xmin = -2.333;
	double xmax = 1;
	double ymin = -1.25;
	double ymax = 1.25;
	int paletteIndex = 1;
	int mandelbrotColorIndex = 1;
	int iterationsIndex = 1;
	int paletteOffset = 1;
	boolean stretchPalette = false;
	
	public Example() {
	}
	
	public Example(double xmin, double xmax, double ymin, double ymax) {
		this.xmin = xmin;
		this.xmax = xmax;
		this.ymin = ymin;
		this.ymax = ymax;
	}

	public Example(double xmin, double xmax, double ymin, double ymax,
			int paletteIndex, int mandelbrotColorIndex, int iterationsIndex,
			int paletteOffset, boolean stretchPalette) {
		this.xmin = xmin;
		this.xmax = xmax;
		this.ymin = ymin;
		this.ymax = ymax;
		this.paletteIndex = paletteIndex;
		this.mandelbrotColorIndex = mandelbrotColorIndex;
		this.iterationsIndex = iterationsIndex;
		this.paletteOffset = paletteOffset;
		this.stretchPalette = stretchPalette;
	}
	
	public Example(MandelbrotCanvas canvas) {
		xmin = canvas.getXmin();
		xmax = canvas.getXmax();
		ymin = canvas.getYmin();
		ymax = canvas.getYmax();
		paletteIndex = canvas.getSelectedPalette();
		mandelbrotColorIndex = canvas.getSelectedMandelbrotColor();
		stretchPalette = canvas.getStretchPalette();
		paletteOffset = canvas.getPaletteOffset();
		iterationsIndex = canvas.getSelectedIterations();
	}
	

}
