package mbOrbits;
import javax.swing.*;
import javax.swing.event.*;
import java.awt.*;
import java.awt.event.*;
import java.io.*;

public class MandelbrotOrbits extends JFrame {
	
	public static void main(String[] args){
		MandelbrotOrbits frame = new MandelbrotOrbits("Mandelbrot Orbits");
		frame.show();
	}
	
	private MandelbrotCanvas canvas;

	public MandelbrotOrbits(String title) {
		this(title,false);
	}
	
	public MandelbrotOrbits(String title, final boolean fromApplet) {
		super(title);
		setDefaultCloseOperation(JFrame.DISPOSE_ON_CLOSE);
		addWindowListener(new WindowAdapter() {
			public void windowClosed(WindowEvent evt) {
				canvas.stopDrawing();
				if (!fromApplet)
					System.exit(0);
			}
		});
		Dimension screensize = Toolkit.getDefaultToolkit().getScreenSize();
		if (screensize == null || (screensize.width > 900 && screensize.height > 700))
			canvas = new MandelbrotCanvas();
		else if (screensize.width > 700 && screensize.width > 600)
			canvas = new MandelbrotCanvas(640,480);
		else
			canvas = new MandelbrotCanvas(512,384);
		getContentPane().setLayout(new BorderLayout(5,5));
		getContentPane().add(canvas,BorderLayout.CENTER);
		getContentPane().add(canvas.getControlPanel(),BorderLayout.SOUTH);
		pack();
		setLocation(50,50);
		show();
	}
	
}